Get calculated pricing for a price book product
GET https://api.secure.quotivity.com/v1/pricebooks/{priceBookId}/products/{productId}/calculated-pricingReturns the default calculated pricing (from product mapping) and any price-book override for this entry.
Send your API key in the x-api-key header. See Generating API keys.
Path parameters
Section titled “Path parameters”| Name | Type | Required | Description |
|---|---|---|---|
priceBookId |
string | Yes | — |
productId |
string | Yes | — |
Responses
Section titled “Responses”| Status | Body | Description |
|---|---|---|
200 |
GetPriceBookProductCalculatedPricingResponse | Calculated pricing summary |
401 |
— | Unauthorized |
404 |
— | Product is not in this price book |
500 |
— | Internal Server Error |
Schemas
Section titled “Schemas”CalculatedPricingSummary
Section titled “CalculatedPricingSummary”Reference to a calculated pricing definition applied to a product.
| Field | Type | Required | Description |
|---|---|---|---|
id |
string | Yes | — |
name |
string | Yes | — |
formula |
string | Yes | — |
GetPriceBookProductCalculatedPricingResponse
Section titled “GetPriceBookProductCalculatedPricingResponse”Default calculation from product mapping vs. optional price-book override.
| Field | Type | Required | Description |
|---|---|---|---|
defaultCalculation |
CalculatedPricingSummary | null | Yes | — |
calculationOverride |
CalculatedPricingSummary | null | Yes | — |
Ask the help center
Answers come from these guides, with links to the articles used.
Ask anything about configuring quoting in Quotivity Studio.